<!--用气申请-添加-->
<template>
  <div class="addPage">
    <div class="addPage_title">
      <p>查看</p>
      <p v-if="pageData2.leadAuditStaus==2" style="width: 120px;" class="inquire-button-one" @click="handleClick('','','again')">重新申请</p>
      <p  class="reset-button-one" @click="backPage">返回</p>
    </div>
    <!--基本信息-->
    <div class="info" v-if="form">
      <li><i>使用气体：</i><i>{{form.useGasName}}</i></li>
      <li><i>使用期限：</i><i>{{form.startTime}}至{{form.endTime}}</i></li>
      <li><i>气瓶用途：</i><i>{{form.gasUse}}</i></li>
      <li><i>主要安全措施：</i><i>{{form.safetyPrecautions}}</i></li>
      <li class="look_img" @click="lookFile(form.applyCertificate)"><i>用气申请表：</i><i>查看图片</i></li>
    </div>
    <div class="addPage_b" v-if="form.auditlist !='undefined'">
      <!--气瓶信息-->
      <div  class="addPage_b_t">
        <div class="addPage_b_t_title">审核记录</div>
        <el-table border v-loading="loading" :data="form.details" height="300px">
          <el-table-column label="审核人" align="left" prop="auditUser"/>
          <el-table-column label="审核时间" align="left" prop="auditTime"></el-table-column>
          <el-table-column label="审核操作" align="left" prop="auditStatus">
            <template slot-scope="scope">
              <p :class="scope.row.auditStatus == 0?'color_warn':(scope.row.auditStatus == 1?'color_14AE10':(scope.row.auditStatus == 2?'color_red':''))">{{scope.row.auditStatus == 0?'待审核':(scope.row.auditStatus == 1?'已通过':(scope.row.auditStatus == 2?'未通过':''))}}</p>
            </template>
          </el-table-column>
          <el-table-column label="审核说明" align="left" prop="remark"></el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>
<script>

import { getToken } from "@/utils/auth";
import {
  useAgsApplyDetail
} from '@/api/gasManage3_0/gasManageSYD'
let Base64 = require('js-base64').Base64;
export default {
  name: "addPage",
  props:{
    pageData2: {},
  },
  data() {
    return {
      pageType:1,
      headers: {
        Authorization: "Bearer " + getToken(),
      },
      loading:false,
      form:{

      },
      total:0,
      tableData:[{
        num:0,
      }],
    };
  },
  methods: {
    handleClick(index,row,doType){
      let _this=this;
      if(doType=='again'){//重新申请
        this.$parent.handleClick('',this.form.id,'again');
      }
    },
    /**查看图片  */
    lookFile(item){
      let visitUrl=window.location.href.split('://')[0]+'://'+process.env.VUE_APP_BASE_API+'/admin/'+item;
      console.log(visitUrl)
      window.open(localStorage.getItem('filePreviewUrl') + '/onlinePreview?url='+encodeURIComponent(Base64.encode(visitUrl)));
    },
    /* 详情 */
    getInfo(id){
      let _this=this;
      useAgsApplyDetail({id:id}).then( response => {
        let res=response.data;
        if(response.code==200){
          _this.form=res;
        }
      });

    },
    //返回
    backPage(){
      this.$parent.handleClick('','','back');
    },

  },
  mounted() {
    this.getInfo(this.pageData2.id);
  }

};
</script>

<style scoped lang="scss">
.addPage {
  flex:1;
  display: flex!important;
  flex-direction: column;
  box-shadow: 0 0 8px 2px rgba(0, 0, 0, 0.1);
  border-radius:10px;
  /*顶部*/
  .addPage_title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #E0E0E0;
    padding-top:20px;
    p:nth-child(1){
      flex: 1;
      line-height:60px;
      color: #0045AF;
      font-size:18px;
      margin:0 12px 0 20px;
    }
    p:nth-child(2){
      margin-right:20px;
    }
    p:nth-child(3){
      margin-right:20px;
    }
  }
  /*基本信息*/
  .info{
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    >li{
      list-style-type: none;
      margin: 20px 0;
      >i{
        font-style: normal;
        display: inline-block;
        vertical-align:text-top;
      }
      >i:nth-of-type(1){
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: 400;
        color: #999999;
        line-height: 16px;
        width: 120px;
        text-align: right;
      }
      >i:nth-of-type(2){
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: 400;
        color: #333333;
        line-height: 16px;
        width: 240px;
        text-align: left;
      }
    }
    .look_img{
      cursor: pointer;
      >i:nth-of-type(2){
        color: #0183FA;
      }
    }
  }
  .addPage_b{
    /*气瓶信息*/
    .addPage_b_t{
      padding: 0 20px;
      box-sizing: border-box;
      .addPage_b_t_title{
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: bold;
        color: #333333;
        line-height: 16px;
        margin: 40px 0 30px 0;
      }
    }
  }

}
</style>
